<?php

use App\Http\Controllers\ConfigController;
use App\Http\Controllers\EventosController;
use App\Http\Controllers\MateriaisController;
use App\Http\Controllers\MenuController;
use App\Http\Controllers\NotificacoesController;
use App\Http\Controllers\PerfilController;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "api" middleware group. Make something great!
|
*/

Route::get('/portatiaiap/{ra}', [ConfigController::class, 'portariaiap']);
Route::get('/limpapainel/{eventoId}', [EventosController::class, 'limpapainel']);
Route::get('/atualizapainelorganizadora/{eventoId}', [EventosController::class, 'atualizapainelorganizadora']);

Route::middleware('token')->group(function () {

    Route::get('/todos_eventos', [EventosController::class, 'todosEventos']);
    Route::get('/todos_eventos/{idEvento}', [EventosController::class, 'todosEventos']);
    Route::get('/materiais', [MateriaisController::class, 'materiais']);
    Route::get('/materiais/{idEvento}', [MateriaisController::class, 'materiaisEvento']);
    Route::get('/perfil', [PerfilController::class, 'perfil']);
    Route::post('/perfil', [PerfilController::class, 'AlteraPerfil']);
    Route::get('/notificacao', [NotificacoesController::class, 'notificacoes']);
    Route::get('/notificacao/{idEvento}', [NotificacoesController::class, 'notificacoes']);
    Route::get('/menu', [MenuController::class, 'menu']);
    Route::post('/presenca/evento', [EventosController::class, 'presencaEvento']);
    Route::get('/programacao', [EventosController::class, 'programacao']);
    Route::get('/programacao/{idEvento}', [EventosController::class, 'programacao']);
    Route::get('/palestrante', [EventosController::class, 'palestrante']);
    Route::get('/palestrante/{idEvento}', [EventosController::class, 'palestrante']);
    Route::get('/versao', [ConfigController::class, 'versao']);
    Route::get('/lista_presenca', [EventosController::class, 'lista_presenca']);
    Route::get('/lista_presenca/{idEvento}', [EventosController::class, 'lista_presenca']);
    Route::get('/comissao_organizadora/nao_adicionados', [EventosController::class, 'listaMembrosComissaoOrganizadora']);
    Route::get('/comissao_nomeacao/nao_adicionados', [EventosController::class, 'listaMembrosComissaoNomeacao']);
    Route::get('/lista_membros_comissao_nomeacao', [EventosController::class, 'listaMembrosComissaoNomeacao']);
    Route::post('/comissao/membro_nomeacao', [EventosController::class, 'salvaMembroNomeacao']);
    Route::delete('/comissao/membro_nomeacao', [EventosController::class, 'removeMembroNomeacao']);
    Route::post('/comissao/membro_organizadora', [EventosController::class, 'salvaMembroOrganizadora']);
    Route::delete('/comissao/membro_organizadora', [EventosController::class, 'removeMembroOrganizadora']);
    Route::get('/comissao_organizadora/adicionados', [EventosController::class, 'listaMembrosAdicionadosComissaoOrganizadora']);
    Route::get('/comissao_nomeacao/adicionados', [EventosController::class, 'listaMembrosAdicionadosComissaoNomeacao']);
    Route::get('/comissao_nomeacao/quantidade', [EventosController::class, 'numeroRepresentantesNomeacao']);
    Route::post('/firebase/token', [ConfigController::class, 'add_token']);
    Route::delete('/firebase/token', [ConfigController::class, 'remove_token']);
    Route::post('/firebase/remove/token', [ConfigController::class, 'remove_token']);
    Route::post('/observacao/membros', [EventosController::class, 'observacaoMembros']);



});

Route::post('/sorteiogeralorganizadora/{idEvento}/{distrito?}',[EventosController::class, 'sorteioGeralOrganizadora']);

Route::get('/quadro_eleitos/{idEvento}/{eleitoId}', [EventosController::class, 'insereQuadroEleitos']);
